/*
----------------------------------------
	EVAR.H: MicroEMACS 3.10
----------------------------------------
*/

/*
----------------------------------------
	RCS id : $Id: evar.h,v 1.7.1.30 1996/10/13 07:06:52 sharl Exp $
----------------------------------------
*/

/*
----------------------------------------
	ϐ
----------------------------------------
*/

enum EVVAR
  {
    EVACOUNT,
#ifndef MINES
    EVADDEOF,
#endif
    EVASAVE,
#ifdef B_ASAVEHOOK
    EVASAVEHOOK,
#endif
    EVASMINDENT,
    EVBKIN,
    EVBLINK,
    EVBUFHOOK,
    EVBUFNUM,
    EVBUFPOS,
    EVCBFLAGS,
    EVCBOLD,
    EVCBUFDIR,
    EVCBUFNAME,
#ifndef MINES
    EVCCASEBUF,
    EVCCASEC,
    EVCCASECOM,
    EVCCASEFNAME,
    EVCCASEGEN,
    EVCCASEKEYWORD,
    EVCCASELATEX,
    EVCCASEMAC,
    EVCCASEMODE,
    EVCCASEVAR,
#endif
    EVDOSTAIL,
#ifndef MINES
    EVDSELCOL,
#endif
    EVCFNAME,
    EVCHIGH,
    EVCMDARG,
#ifndef MINES
    EVCMDCOL,
    EVCMDHK,
#endif
    EVCMODE,
#ifndef MINES
    EVCMDZENCOL,
    EVCOLVIS,
#endif
    EVCOMPC,
    EVCOMPGENERAL,
#ifndef MINES
    EVCOMPKEYWORD,
    EVCOMPKEYWORD_SET,
    EVCOMPLATEX,
    EVCOMPSORT,
    EVCOMPSORT_DIR,
    EVCOMPSORT_EXT,
    EVCOMPSORT_ICASE,
    EVCRCOL,
#endif
    EVCURCHAR,
    EVCURCOL,
    EVCURDIR,
    EVCURFIG,
    EVCURLINE,
    EVCURWIDTH,
    EVCURWORD,
    EVCWLINE,
    EVDCDFLAG,
    EVDCFNAME,
    EVDCP,
    EVDCURDIR,
    EVDEBUG,
    EVDEBUGSYS,
#ifdef B_FILLCOLUMN
    EVDEFFILLCOL,
#endif
#ifdef B_MAKBAK
    EVDEFMAKBAK,
#endif
#ifdef B_UNIX_NEWLINE
    EVDEFNL,
#endif
#ifndef MINES
    EVDIAGFLAG,
    EVDICTPATH,
#endif
    EVDISCMD,
    EVDISINP,
    EVDISNUM,
    EVDISPCR,
    EVDISTAB,
    EVDISZEN,
    EVDLS,
    EVDLSNAMEPOS,
    EVDMKNUM,
    EVDMV,
    EVDRM,
#ifndef MINES
    EVEDPAGE,
#endif
    EVEMACSDIR,
#ifndef MINES
    EVEMPCOL,
#endif
    EVEMPTEXT,
#ifndef MINES
    EVENGLISH,
#endif
    EVEVAL,
#ifndef MINES
    EVEXBHOOK,
#endif
    EVEXITHOOK,
    EVFCOL,
#ifndef MINES
    EVFEPCTRL,
    EVFEPCTRLESC,
#endif
    EVFEPMODE,
    EVFILLCOL,
    EVFKIN,
#ifndef MINES
    EVFLICKER,
#endif
    EVFORCEP,
#ifndef MINES
    EVGFLAGS,
#endif
    EVGMODE,
    EVHARDTAB,
#ifndef MINES
    EVHELPLPATH,
#endif
    EVHJUMP,
    EVHSCROLL,
    EVIFILEHOOK,
    EVIFILENAME,
#ifndef MINES
    EVIFSPLIT,
#endif
    EVIGNBKUPSUF,
    EVIGNEXT,
#ifndef MINES
    EVIGNMETACASE,
#endif
    EVINSHOOK,
#ifndef MINES
    EVISEARCHMICRO,
#endif
    EVKILL,
#ifndef MINES
    EVLANG,
#endif
    EVLASTKEY,
    EVLASTMESG,
#ifndef MINES
    EVLATEXENV,
    EVLEDMODE,
#endif
    EVLINE,
#ifndef MINES
    EVLNUMCOL,
    EVLSEPCOL,
#endif
    EVLOCALMAP,
    EVLOCALMLFORM,
    EVLOCALTAB,
#ifndef MINES
    EVLOCALVAR,
#endif
    EVLWIDTH,
    EVMAKBAK,
    EVMATCH,
#ifndef MINES
    EVMENU_CODE,
    EVMENU_CURSOR,
    EVMENU_EXIT,
    EVMENU_FRAME,
    EVMENU_HEIGHT,
    EVMENU_HOMEX,
    EVMENU_HOMEY,
    EVMENU_ITEM,
    EVMENU_LAST_K,
    EVMENU_QUICKACT,
    EVMENU_ROLL,
    EVMENU_SELECT,
    EVMENU_SELECT_K,
    EVMENU_TITLE,
    EVMENU_WIDTH,
#endif
    EVMLFORM,
    EVMODEFLAG,
#ifndef MINES
    EVMSFLAG,
    EVMULMAX,
    EVNEWSCR,
    EVNOGLOBAL,
#endif
    EVNOKILL,
#ifndef MINES
    EVOPTSWAP,
#endif
    EVPAGELEN,
#ifndef MINES
    EVPALETTE,
    EVPALETTE2,
#endif
    EVPENDING,
#ifndef MINES
    EVPICKCURRC,
#endif
    EVPROGNAME,
#ifndef MINES
    EVQUICKACTBUF,
    EVQUICKACTCOM,
    EVQUICKACTFNAME,
    EVQUICKACTGENE,
    EVQUICKACTMAC,
    EVQUICKACTMODE,
    EVQUICKACTVAR,
    EVQUICKEXT,
#endif
    EVRAM,
    EVREADHK,
    EVREGION,
    EVREPLACE,
    EVRVAL,
#ifndef MINES
    EVSAVEM,
#endif
    EVSCCURCOL,
    EVSCCURLINE,
    EVSEARCH,
    EVSEED,
    EVSHBSIZE,
    EVSLASH,
    EVSMPLBKUPSUF,
    EVSOFTTAB,
    EVSOFTTABMODE,
    EVSRES,
    EVSSAVE,
#ifndef MINES
    EVSSCROLL,
    EVSSCROLL_SLOW,
#endif
    EVSTATUS,
    EVSTERM,
    EVSYSKILL,
#ifndef MINES
    EVTABCOL,
#endif
    EVTARGET,
    EVTEMP,
#ifndef MINES
    EVTEXBQUOTE,
#endif
    EVTIME,
#ifndef MINES
    EVTOKANA,
#endif
    EVTPAUSE,
#ifndef MINES
    EVTRASH,
    EVTXTCOL,
#endif
    EVUNIXNL,
    EVVBELL,
    EVVERSION,
#ifndef MINES
    EVVISCOL,
    EVWINDHOOK,
#endif
    EVWINDNUM,
    EVWINDPOS,
    EVWLINE,
#ifndef MINES
    EVWRAPEXPAND,
#endif
    EVWRAPHK,
    EVWRAPINDENTHEAD,
    EVWRAPINDENTITEM,
    EVWRAPITEM,
    EVWRAPMODE,
    EVWRITEHK,
#ifndef MINES
    EVXPOS,
    EVYPOS,
    EVZCURSOR,
#endif
  };

/*
----------------------------------------
	֐
----------------------------------------
*/

enum NAMICS
  {
    NILNAMIC,
    MONAMIC,
    DYNAMIC,
    TRINAMIC
  };

enum TRVAR
  {
    TRCMP,
    TRINS,
    TRINT,
    TRLEN,
    TRLOG,
    TRSTR
  };

enum UFVAR
  {
    UFABS,
    UFADD,
    UFAND,
    UFASCII,
    UFBAND,
    UFBIND,
    UFBNOT,
    UFBOR,
    UFBXOR,
    UFBYTE,
    UFCAT,
    UFCHR,
    UFDIV,
    UFENV,
    UFEQUAL,
    UFEXIST,
    UFFIND,
    UFFTIME,
    UFGREATER,
    UFGTCMD,
    UFGTKEY,
    UFIND,
    UFISKANJI,
    UFLEFT,
    UFLENGTH,
    UFLESS,
    UFLOWER,
    UFMID,
    UFMOD,
    UFNEG,
    UFNOT,
    UFOR,
    UFREAD,
    UFREST,
    UFRIGHT,
    UFRND,
    UFRSINDEX,
    UFSEQUAL,
    UFSGREAT,
    UFSINDEX,
    UFSIZE,
    UFSLESS,
    UFSUB,
    UFTIMES,
    UFTRIM,
    UFTRUTH,
    UFUPPER,
    UFXLATE,
  };
